Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.statistics
Class MixtureOfGammas

    java.lang.Object
      calhoun.analysis.crf.statistics.MixtureOfGammas

All Implemented Interfaces:
  java.io.Serializable

    public class MixtureOfGammas

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`MixtureOfGammas(double[] lengths)`
`MixtureOfGammas(double[] lengths, boolean forceExponentialLength)`
`MixtureOfGammas(double pdist1, double shape1, double lambda1, double shape2, double lambda2)`

Method Summary
`double` | `evaluate(double x)`
`double` | `getMean()`
`double` | `getMix()`
`double` | `logEvaluate(double x)`
`void` | `setup(double[] lengths, boolean forceExponentialLength)`
`void` | `summarize(java.io.PrintStream out)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MixtureOfGammas

    public MixtureOfGammas(double pdist1,
                           double shape1,
                           double lambda1,
                           double shape2,
                           double lambda2)

### MixtureOfGammas

    public MixtureOfGammas(double[] lengths)

### MixtureOfGammas

    public MixtureOfGammas(double[] lengths,
                           boolean forceExponentialLength)

Method Detail

### setup

    public void setup(double[] lengths,
                      boolean forceExponentialLength)

### logEvaluate

    public double logEvaluate(double x)

### evaluate

    public double evaluate(double x)

### summarize

    public void summarize(java.io.PrintStream out)

### getMix

    public double getMix()

### getMean

    public double getMean()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD